#
# spec file for package ckmame (Version 0.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL alsa audiofile esound kdelibs-artsd libusb xextra xf86 xmame
# usedforbuild    SDL aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libtool libusb libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xextra xf86 xmame xshared

Name:         ckmame
Version:      0.4.1
Release:      356
Summary:      Checks your MAME ROM sets
Copyright:   GPL
Group:        Applications/Emulators
Requires:    xmame
Autoreqprov: on
Source:  ckmame-%{version}.tar.bz2
Patch:   ckmame-%{version}.dif

%description
This is ckmame, a program to check ROM sets for MAME, the Multiple
Arcade Machine Emulator (http://mame.retrogames.com).  It tells you
which ROM files are missing or have a wrong CRC, and can delete
unknown and unused files from the ROM sets (zipped only).

Authors:
--------
    ckmame Authors <nih@giga.or.at>

SuSE series: emu

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-gdbm=/usr
make

%install
make install
cd /usr/games/lib/xmame
Xvfb :95 -fp /usr/X11R6/lib/X11/fonts/misc &
trap "kill $!" EXIT
sleep 5
DISPLAY=:95 xmame -listinfo >db.txt
mkmamedb db.txt
rm db.txt
install -d -m 755 /etc/profile.d
cat <<EOT >/etc/profile.d/ckmame.sh
export MAMEDB=/usr/games/lib/xmame/mame.gdbm
export ROMPATH=/usr/games/lib/xmame
EOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
/etc/profile.d/ckmame.sh
/usr/bin/ckmame
/usr/bin/dumpgame
/usr/bin/mkmamedb
/usr/games/lib/xmame/mame.gdbm

%changelog -n ckmame
* Tue Aug 28 2001 - uli@suse.de
- made mkmamedb able to deal with small inconsistency in xmame 0.54.1
- spec file cleanups
* Tue Aug 28 2001 - ro@suse.de
- call SDL version (xmame.x11 is gone)
* Thu Jun 21 2001 - schwab@suse.de
- Make sure Xvfb is always killed.
* Wed Jun 20 2001 - ro@suse.de
- fixed neededforbuild usbutils -> libusb
* Fri Mar 23 2001 - ro@suse.de
- added alsa to neededforbuild
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Mon Dec 04 2000 - ro@suse.de
- fixed neededforbuild
* Mon Aug 21 2000 - uli@suse.de
- added usb to neededforbuild (needed by Xvfb)
* Wed Dec 15 1999 - uli@suse.de
- set CFLAGS = RPM_OPT_FLAGS
* Mon Oct 11 1999 - uli@suse.de
- new package
